gsw_Sstar_from_SP {gsw} | R Documentation

## Convert from Practical Salinity to Preformed Salinity

### Description

Calculate Preformed Salinity from Practical Salinity, pressure, longitude, and latitude.

### Usage

    gsw_Sstar_from_SP(SP, p, longitude, latitude)

### Arguments

`SP` | Practical Salinity (PSS-78) [ unitless ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar
`longitude` | longitude in decimal degrees, positive to the east of Greenwich. (This is called `long` in the TEOS-10 Matlab code.)
`latitude` | latitude in decimal degrees, positive to the north of the equator. (This is called `lat` in the TEOS-10 Matlab code.)

### Details

If SP is a matrix and if its dimensions correspond to the lengths of longitude and latitude, then the latter are converted to analogous matrices with `expand.grid`.

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

Preformed Salinity [ g/kg ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_Sstar_from_SP.html

### See Also

Other things related to salinity: `gsw_C_from_SP`, `gsw_SA_from_SP_Baltic`, `gsw_SA_from_SP`, `gsw_SA_from_Sstar`, `gsw_SP_from_C`, `gsw_SP_from_SA`, `gsw_SP_from_SK`, `gsw_SP_from_SR`, `gsw_SP_from_Sstar`, `gsw_SR_from_SP`, `gsw_Sstar_from_SA`, `gsw_deltaSA_from_SP`

### Examples

    SP <-   c(34.5487, 34.7275, 34.8605, 34.6810, 34.5680, 34.5600)
    p <-    c(     10,      50,     125,     250,     600,    1000)
    lat <-  c(      4,       4,       4,       4,       4,       4)
    long <- c(    188,     188,     188,     188,     188,     188)
    Sstar <- gsw_Sstar_from_SP(SP,p,long,lat)
    expect_equal(Sstar, c(34.711553680880769, 34.891161395333754, 35.024650265047370,
                          34.843593141519356, 34.729033995955525, 34.719675962471783))

[Package gsw version 1.0-5 Index]